//组件初始化
mui.init({
	swipeBack: true //启用右滑关闭功能
});

var vm = new Vue({
	el: '.mui-content',
	data: {
		hotCityList: [],

	},
	mounted: function() {
		mui.ajax('' + devHost + '/rm/hcrl', {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			//aysnc:ture,
			timeout: 5000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				vm.hotCityList = data.result.roomList;
				//vm.list = data.result;
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				//console.log('失败！');
				console.log(type);
				zmkm.toast('请求超时');
			}
		});
	},
	methods:{
		openRoom:function(id){
				mui.openWindow({
				url: '../room/room.html',
				id: 'room',
				styles: {
					top: '0', //新页面顶部位置
					bottom: '0', //新页面底部位置
				},
				extras: {
					roomId:id,
				},
				createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
				show: {
					autoShow: true, //页面loaded事件发生后自动显示，默认为true
				},
				waiting: {
					autoShow: true, //自动显示等待框，默认为true
					title: '正在加载...', //等待对话框上显示的提示内容
	
				}
			});
		},
		openSearch:function(){
			zmkm.open_href('search','search.html',0);
		},
		
	},
	updated: function() {
		var swiper = new Swiper('.swiper-container', {
			pagination: {
				el: '.swiper-pagination',
				dynamicBullets: true,
			}
		});
	}
});
