mui.init();
var host1 = '' + devHost + '/lg/pncdap';
var vm = new Vue({
  el: '.log_in_box',
  data() {
    return{
      is_active:true,
      msg_phone:'',
      msg_pic_code:'',
      msg_msg_code:'',
      pass_phone:'',
      pass_paasword:'',
      error_msg:'',
      msg_code_pre:'',
      msg_phone_pre:'',
      msg_count:0,
      get_msg_btn:'获取短信验证码',
      btn:true,
      page:'',
    }
	},
	mounted: function() {
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','personal');
//  this.page = zmkm.page_location();
//		if(window.plus){
//			zmkm.page_location();
//		}else{
//			document.addEventListener('plusready', zmkm.page_location(), false);
//		}
  },
  methods:{
    go_back:function(){
    	mui.back();
//    window.history.go(-1);
    },
    log_in_change:function(e){
      if(e==1){
        this.is_active=true;
      }else{
        this.is_active=false;
      }
    },
    
    register_open:function(){
    		zmkm.open_href('register','register.html',0);
    },
    forget_password_open:function(){
    		zmkm.open_href('forget_password','forget_password.html',0);
    },
    get_msg_code:function(){
      // btn未点击
      if(vm.btn){
        var rule=/^[1][3,4,5,7,8][0-9]{9}$/;
        // 手机号正确
        if(rule.test(vm.msg_phone)){
          // 同一手机号发送次数统计清零
          if(vm.msg_phone_pre!=vm.msg_phone){
            vm.msg_count=1;
          }else{
            vm.msg_count++;
          }
          // 时间戳
          if(this.msg_count==1){
            var now_day=0;
          }else{
            var now_day= new Date().getTime();
          }
          vm.msg_phone_pre=vm.msg_phone;
          mui.ajax('' + devHost + '/lg/pncdap?phone='+vm.msg_phone+'&type=S&phoneCodeTime='+now_day,{
            dataType: 'json', 
            type: 'get',
            timeout: 5000,
            headers: {
              'Content-Type': 'application/json'
            },
            success: function(data) {
              if(data.code==0){
                // 短信发送成功
                vm.btn=false;
                vm.msg_code_pre=data.result.phoneCode;
                var num = 60;
                vm.get_msg_btn="剩余"+num+"秒";
                var timer = setInterval(function(){
                  num--;
                  vm.get_msg_btn="剩余"+num+"秒";
                  if(num<0){
                    vm.get_msg_btn="获取短信验证码";
                    vm.btn=true;
                    clearInterval(timer);
                  }
                },1000);
              }else if(data.code==604||data.code==606||data.code==607){
                mui.toast('' + data.code + ' ' + data.msg + '', {
                  duration: 'short',
                  type: 'div'
                });
              }else if(data.code==605){
                mui.confirm('','账号未注册',['取消','前往注册'],function(e){
                  if(e.index==1){
                    zmkm.open_href('register','register.html',0);
                  }else{}
                },'div');
              }else{
                mui.toast('状态错误', {
                  duration: 'short',
                  type: 'div'
                });
              }
            },
            error: function(xhr, type, errorThrown) {
              //异常处理；
              mui.toast(type, {
                duration: 'short',
                type: 'div'
              });
            }
          });
        }else{
          this.error_msg='请输入正确手机号';
        }
      }else{}
    },
    msg_log_in:function(){
    		var that=this;
      mui.ajax('' + devHost + '/lg/lopap?phone='+vm.msg_phone+'&phonePre='+vm.msg_phone_pre+'&phoneCode='+vm.msg_msg_code+'&phoneCodePre='+vm.msg_code_pre,{
        dataType: 'json', 
        type: 'get',
        timeout: 5000,
        headers: {
          'Content-Type': 'application/json'
        },
        success: function(data) {
          if(data.code==0){
            localStorage.setItem("token",data.result.token);
            localStorage.setItem("id",data.result.userId);
            that.page_locate();
          }else if(data.code==604||data.code==602){
            mui.toast('' + data.code + ' ' + data.msg + '', {
              duration: 'short',
              type: 'div'
            });
          }else if(data.code==605){
            mui.confirm('','账号未注册',['取消','前往注册'],function(e){
              if(e.index==1){
                zmkm.open_href('register','register.html',0);
              }else{}
            },'div');
          }else{
            mui.toast('状态错误', {
              duration: 'short',
              type: 'div'
            });
          }
        },
        error: function(xhr, type, errorThrown) {
          //异常处理；
          mui.toast('请求超时', {
            duration: 'short',
            type: 'div'
          });
        }
      });
    },
    password_log_in:function(){
    		var that=this;
      mui.ajax('' + devHost + '/lg/lpassap?phone='+vm.pass_phone+'&password='+vm.pass_paasword,{
        dataType: 'json', 
        type: 'get',
        timeout: 5000,
        headers: {
          'Content-Type': 'application/json'
        },
        success: function(data) {
          if(data.code==0){
            localStorage.setItem("token",data.result.token);
            localStorage.setItem("id",data.result.userId);
            that.page_locate();
            console.log('******用户ID'+zmkm.getStorage('id'))
          }else if(data.code==701||data.code==700){
            mui.toast('' + data.code + ' ' + data.msg + '', {
              duration: 'short',
              type: 'div'
            });
          }else if(data.code==605){
            mui.confirm('','账号未注册',['取消','前往注册'],function(e){
              if(e.index==1){
                zmkm.open_href('register','register.html',0);
              }else{}
            },'div');
          }else{
            mui.toast('状态错误', {
              duration: 'short',
              type: 'div'
            });
          }
        },
        error: function(xhr, type, errorThrown) {
          //异常处理；
          mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
        }
      })
    },
    page_locate:function(e){
    		//登录成功页面跳转
//  			mui.back();
//					var index = plus.webview.getLaunchWebview();
//					plus.webview.currentWebview().close();
//					index.reload(true);
//					plus.webview.getWebviewById('personal/personal.html').show();
//					zmkm.open_href('personal/personal.html','personal/personal.html')
						mui.back();
							plus.webview.getWebviewById('order/order_list.html').reload(true);
						plus.webview.getWebviewById('personal/personal.html').reload(true);
//					index.show()
//					console.log('nihao:'+ JSON.stringify(index));
//					index.evalJS("document.getElementById('main_index').classList.remove('mui-active');document.getElementById('main_personal').classList.add('mui-active');");
//					changeTab('setting.html','setting.html','设置');
//					plus.webview.getWebviewById('personal/personal.html').reload();
//					plus.webview.show('personal/personal.html');
//					plus.webview.hide('index/index.html');
//  			plus.webview.getWebviewById('HBuilder').reload();
    			
//  				plus.webview.getWebviewById('HBuilder').reload();
    			
//  		if((this.page=='')||(this.page == 'register')){
//  			plus.webview.getWebviewById('index/index.html').reload();
//  			plus.webview.getWebviewById('HBuilder').show();
//  		}
//  		else if(this.page == 'personal'){
//  			zmkm.open_href('personal','../personal/personal.html','51px');
//  		}else if(this.page == 'change_phone'){
//        zmkm.open_href('change_phone','../personal/change_phone.html',0);
//  		}else if(this.page == 'modify_information'){
//  			zmkm.open_href('modify_information','../personal/modify_information.html',0);
//  		}else if(this.page == 'order_list'){
//  			zmkm.open_href('order_list','../order/order_list.html','51px');
//  		}else if(this.page == 'order_detail'){
//  			zmkm.open_href('order_detail','../order/order_detail.html',0);
//  		}else if(this.page == 'order_evaluation'){
//  			zmkm.open_href('order_evaluation','../order/order_evaluation.html',0);
//  		}else if(this.page == 'see_evaluation'){
//  			zmkm.open_href('see_evaluation','../order/see_evaluation.html',0);
//  		}else if(this.page == 'add_occupant'){
//  			zmkm.open_href('add_occupant','../place_order/add_occupant.html',0);
//  		}else if(this.page == 'occupant_manage'){
//  			zmkm.open_href('occupant_manage','../place_order/occupant_manage.html',0);
//  		}else if(this.page == 'order_status'){
//  			zmkm.open_href('order_status','../place_order/order_status.html',0);
//  		}else if(this.page == 'place_order_write'){
//  			zmkm.open_href('place_order_write','../place_order/place_order_write.html',0);
//  		}else if(this.page == 'select_occupant'){
//  			zmkm.open_href('select_occupant','../place_order/select_occupant.html',0);
//  		}else{
//  			zmkm.open_href('personal','../personal/personal.html','51px');
//  			//zmkm.open_href('index','../index/index.html','51px');
//  		}
    }
  }
});