var host1 = '' + devHost + '/mors/ol';
var vm = new Vue({
  el:'.register_box',
  data:{
    is_active:true,
    phone:'',
    pic_code:'',
    msg_code:'',
    paasword:'',
    ensure_paasword:'',
    error_msg:'',
    btn:true,
    phone_pre:'',
    msg_code_pre:'',
    msg_count:0,
    get_msg_btn:'获取短信验证码',
  },
  mounted:function(){
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','register');
  },
  methods:{
    go_back:function(){
      window.history.go(-1);
    },
    log_in_open:function(){
    		zmkm.open_href('log_in','log_in.html',0);
    },
    get_msg_code:function(){
      if(vm.btn){
        var rule=/^[1][3,4,5,7,8][0-9]{9}$/;
        // 手机号正确
        if(rule.test(vm.phone)){
          // 同一手机号发送次数统计清零
          if(vm.phone_pre!=vm.phone){
            vm.msg_count=1;
          }else{
            vm.msg_count++;
          }
          // 时间戳
          if(this.msg_count==1){
            var now_day=0;
          }else{
            var now_day= new Date().getTime();
          }
          vm.phone_pre=vm.phone;
          mui.ajax('' + devHost + '/lg/pncdap?phone='+vm.phone+'&type=R&phoneCodeTime='+now_day,{
            dataType: 'json', 
            type: 'get',
            timeout: 5000,
            headers: {
              'Content-Type': 'application/json'
            },
            success: function(data) {
              if(data.code==0){
                // 短信发送成功
                vm.btn=false;
                vm.code_pre=data.result.phoneCode;
                var num = 60;
                vm.get_msg_btn="剩余"+num+"秒";
                var timer = setInterval(function(){
                  num--;
                  vm.get_msg_btn="剩余"+num+"秒";
                  if(num<0){
                    vm.get_msg_btn="获取短信验证码";
                    vm.btn=true;
                    clearInterval(timer);
                  }
                },1000);
              }else if(data.code==604||data.code==606||data.code==607){
                mui.toast('' + data.code + ' ' + data.msg + '', {
                  duration: 'short',
                  type: 'div'
                });
              }else if(data.code==600){
                mui.confirm('','账号已注册',['取消','前往登录'],function(e){
                  if(e.index==1){
                    zmkm.open_href('log_in','log_in.html',0);
                  }else{}
                },'div');
              }else{
                mui.toast('状态错误', {
                  duration: 'short',
                  type: 'div'
                });
              }
            },
            error: function(xhr, type, errorThrown) {
              //异常处理；
              mui.toast(type, {
                duration: 'short',
                type: 'div'
              });
            }
          });
        }else{
          this.error_msg='请输入正确手机号';
        }
      }else{}
    },
    register_step1:function(){
        mui.ajax('' + devHost + '/lg/chregisterap?phone='+vm.phone+'&phonePre='+vm.phone_pre+'&phoneCode='+vm.msg_code+'&phoneCodePre='+vm.code_pre,{
          dataType: 'json', 
          type: 'get',
          timeout: 5000,
          headers: {
            'Content-Type': 'application/json'
          },
          success: function(data) {
            if(data.code==0){
              vm.is_active=false;
            }else if(data.code==604||data.code==602){
              mui.toast('' + data.code + ' ' + data.msg + '', {
                duration: 'short',
                type: 'div'
              });
            }else if(data.code==600){
              mui.confirm('','账号已注册',['取消','前往登录'],function(e){
                if(e.index==1){
                  zmkm.open_href('log_in','log_in.html',0);
                }else{}
              },'div');
            }else{
              mui.toast('状态错误', {
                duration: 'short',
                type: 'div'
              });
            }
          },
          error: function(xhr, type, errorThrown) {
            //异常处理；
            mui.toast('请求超时', {
              duration: 'short',
              type: 'div'
            });
          }
        });
    },
    register_step2:function(){
      mui.ajax('' + devHost + '/lg/saveregisterap?phone='+vm.phone+'&phonePre='+vm.phone_pre+'&phoneCode='+vm.msg_code+'&phoneCodePre='+vm.code_pre+'&password='+vm.paasword+'&repassword='+vm.ensure_paasword, {
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
          if(data.code==0){
            mui.alert('','注册成功','前往登录',function(){
              zmkm.open_href('log_in','log_in.html',0);
            },'div');
          }else if(data.code==604||data.code==602||data.code==702){
            mui.toast('' + data.code + ' ' + data.msg + '', {
              duration: 'short',
              type: 'div'
            });
          }else if(data.code==600){
            mui.confirm('','账号已注册',['取消','前往登录'],function(e){
              if(e.index==1){
                zmkm.open_href('log_in','log_in.html',0);
              }else{}
            },'div');
          }else{
            mui.toast('状态错误', {
              duration: 'short',
              type: 'div'
            });
          }
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
				}
			});
    },
  },
})