var vm = new Vue({
  el: '.detail_box',
  data() {
    return{
      order_id:"",
      detail:[],
			person:[],
			room_fee_detail:false,
			room_fee:[],
    }
  },
	mounted: function() {
		var that=this;
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','order_detail');
		if(zmkm.logon_interception()){
			var webviewself = plus.webview.currentWebview();
			that.order_id = webviewself.order_id;
			mui.ajax('' + devHost + '/moic/od?orderId='+that.order_id, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				//aysnc:ture,
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
	        //服务器返回响应，根据响应结果，分析是否登录成功；
					vm.detail=data.result;
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
				}
	    });
	    mui.ajax('' + devHost + '/moic/op?orderId='+that.order_id, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				//aysnc:ture,
				timeout: 10000, //超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
	        //服务器返回响应，根据响应结果，分析是否登录成功；
	        vm.person=data.result;
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
				}
			});
		}
	
  },
  methods:{
  		go_back:function(){
			mui.back();
  		},

		room_fee_show:function(f){
			// 房费明细
			mui.ajax('' + devHost + '/moic/oi?orderId='+vm.order_id+'&totalFee='+f, {
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					vm.room_fee_detail=true;
					vm.room_fee=data.result;
					console.log(data.result)
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
				}
			});
		},
		room_fee_close:function(){
//			房费
			vm.room_fee_detail=false;
		},
    refund:function(id){
//  	退款
    	mui.confirm('','确认退款？',['取消','确认'],function(e){
	      if(e.index==1){
	        mui.ajax('' + devHost + '/moic/appar?orderId='+id, {
		        dataType: 'json', //服务器返回json格式数据
		        type: 'get', //HTTP请求类型
		        //aysnc:ture,
		        timeout: 10000, //超时时间设置为10秒；
		        headers: {
		          'Content-Type': 'application/json'
		        },
		        success: function(data) {
		          //服务器返回响应，根据响应结果，分析是否登录成功；
		          if(data.code==0){
		            mui.alert('','退款成功！',['知道了'],function(){
		            	mui.ajax('' + devHost + '/moic/od?orderId='+str[1], {
										dataType: 'json', //服务器返回json格式数据
										type: 'get', //HTTP请求类型
										//aysnc:ture,
										timeout: 10000, //超时时间设置为10秒；
										headers: {
											'Content-Type': 'application/json'
										},
										success: function(data) {
							        //服务器返回响应，根据响应结果，分析是否登录成功；
											vm.detail=data.result;
										},
										error: function(xhr, type, errorThrown) {
											//异常处理；
							        mui.toast(type, {
				                duration: 'short',
				                type: 'div'
				              });
										}
							    });
		            },'div');
		          }else{
		          	zmkm.toast(data.code ,data.msg);
		          }
		        },
		        error: function(xhr, type, errorThrown) {
		          //异常处理；
		          mui.toast(type, {
                duration: 'short',
                type: 'div'
              });
		        }
		      })
	      }else{}
	    },'div');
    },
  },
	updated:function(){
		zmkm.payFn(vm.order_id);
	}
});
