var vm = new Vue({
	el:'.evaluation_box',
	data:{
		person_id:'',
		order_id:'',
		room_detial:[],
		eval_detial:'',
		tidy_score:0,
		tidy:'',
	  describe_score:0,
	  describe:'',
	  traffic_score:0,
	  traffic:'',
	  safe_score:0,
	  safe:'',
	  cost_efficient_score:0,
	  cost_efficient:'',
	  pic_list:[],
	  fd_eval:'',
	  pic_count:0,
	  fd_show:false,
	},
	mounted:function(){
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','see_evaluation');
		//登陆拦截
		if(zmkm.logon_interception()){
			var url = location.search; 
	    if (url.indexOf("?") != -1) {   
	      var str = url.substr(1);
	      str=str.split('=');
	      this.order_id=str[1];
			}
	    var that=this;
	    that.person_id=zmkm.getStorage("id");
			//ajax获取房间详情
	    $.ajax({
				url:'' + devHost + '/moic/oe',
				data:{
					orderId:that.order_id,
				},
		    dataType: 'json', //服务器返回json格式数据
		    type: 'get', //HTTP请求类型
		    //aysnc:ture,
		    timeout: 10000, //超时时间设置为10秒；
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data) {
		      //服务器返回响应，根据响应结果，分析是否登录成功；
		      vm.room_detial=data.result;
		    },
		    error: function(xhr, type, errorThrown) {
		      //异常处理；
		      mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
		    }
		  })
			//ajax获取房客评价,房客上传的图片,房东评价
	    $.ajax({
				url:'' + devHost + '/moic/se',
				data:{
					orderId:that.order_id,
					tenantId:that.person_id,
				},
		    dataType: 'json',
		    type: 'get',
		    timeout: 10000, 
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data) {
			    	if(data.code==0){
						//	    		评价内容
		        	vm.eval_detial=data.result.evalMap.EVALUATE_CONTENT;
						//      	星星颗数
		        	vm.tidy_score=parseInt(data.result.evalMap.NEAT_SCORE);
					  vm.describe_score=parseInt(data.result.evalMap.DESCRI_SCORE);
					  vm.traffic_score=parseInt(data.result.evalMap.TRAFFIC_SCORE);
					  vm.safe_score=parseInt(data.result.evalMap.SAFE_SCORE);
					  vm.cost_efficient_score=parseInt(data.result.evalMap.PRICE_SCORE);
						//				  图片地址列表
		        	vm.pic_list=data.result.evalImg;
		        	vm.pic_count=data.result.evalImg.length;
						//      	房东评价内容
		        	vm.fd_eval=data.result.evalReplay.REPLY_CONTENT;
		        	if(vm.fd_eval==''||vm.fd_eval==undefined||vm.fd_eval==null){
		        		vm.fd_show=false;
		        	}else{
		        		vm.fd_show=true;
		        	}
						//      	根据星星判断标语
		        	vm.tidy=vm.eval_decribe(that.tidy_score);
		        	vm.describe=vm.eval_decribe(that.describe_score);
		        	vm.traffic=vm.eval_decribe(that.traffic_score);
		        	vm.safe=vm.eval_decribe(that.safe_score);
		        	vm.cost_efficient=vm.eval_decribe(that.cost_efficient_score);
			    	}else{
			    		zmkm.toast(data.code,data.msg);
			    	}
		    },
		    error: function(xhr, type, errorThrown) {
		      mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
		    }
	  		});
    }
	},
	methods:{
		go_back:function(){
			mui.back();
  		},
		eval_decribe:function(i){
			if(i==5){
        return "非常满意";
     }else if(i==4){
        return "满意";
     }else if(i==3){
        return "一般";
     }else if(i==2){
        return "不满意";
     }else{
        return "很不满意";
     }
		}
	},
})
