var picker = new mui.PopPicker();
var qtyArr = [];
var vm = new Vue({
  el:'.evaluation_box',
  data:{
    room_fee_detail:false,
    room_id:'',
    date_totle:1,
    room_detail:[],
    room_qty:1,
    room_qty_text:'1套',
    room_qty_max: 0 ,
    total_fee:100,
    order_items:[],
    occupant_list:[],
    refund_rule:true,
    start_date:'',
    end_date:'',
    refund_all_date:'',
    refund_all_date_tomorrow:'',
    now_date:'',
    person_id:'',
    occupant_id:'',
  },
  mounted:function(){
  		//返回
  		var old_back = mui.back;
		mui.back = function(){
		  mui.confirm('确认放弃当前订单？','',['确定','取消'],function(e){
		    if(e.index==0){
		    		old_back();
		    }
		  });
	 	}
  		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','place_order_write');
		//入住人实时更新
		window.addEventListener('update_occupant',function(event){
		  //获得事件参数
		  that.occupant_list=JSON.parse(localStorage.getItem('occupantList'));
    		that.occupant_id=localStorage.getItem('occupantId');
		});
		//登录拦截
  		if(zmkm.logon_interception()){
			var url = location.search; 
	    if (url.indexOf("?") != -1) {   
	      var str = url.substr(1);
	      str=str.split('=');
	      this.room_id=str[1];
	      localStorage.setItem('room_id', str[1]);
			}else{
				this.room_id=localStorage.getItem('room_id');
			}
			this.person_id = zmkm.getStorage('id');
			//时间计算start
	    var that=this;
			//初始时间赋值,天数计算
	    that.start_date=localStorage.getItem('startDate').trim();
	    that.end_date=localStorage.getItem('endDate').trim();
	    that.date_totle = zmkm.date_difference(that.start_date,that.end_date);
	    //今天时间
	    var d = new Date ;
	    that.now_date=d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate();
	    //全额退款时间
	    that.refund_all_date = zmkm.date_subtraction(that.start_date,2);
	    that.refund_all_date_tomorrow = zmkm.date_subtraction(that.start_date,1)
	    if(zmkm.date_difference(that.now_date,that.start_date)<2){
	    		that.refund_rule=false;
	    }
	    //时间计算end
	    //入住人加载
	    if(localStorage.getItem('occupantList')!=''&&localStorage.getItem('occupantList')!=undefined&&localStorage.getItem('occupantList')!=null){
	    		that.occupant_list=JSON.parse(localStorage.getItem('occupantList'));
	    		that.occupant_id=localStorage.getItem('occupantId');
	    }else{
	//  		console.log(localStorage.getItem('occupantList'));
	    }
			//获取房间信息数据
	    $.ajax({
	      url:'' + devHost + '/ordap/edordap',
	      data:{
	        roomId:that.room_id,
	      },
	      dataType: 'json',
	      type: 'get', 
	      timeout: 5000, 
	      headers: {
	        'Content-Type': 'application/json'
	      },
	      success: function(data) {
	        //服务器返回响应，根据响应结果，分析结果；
	        if(data.code==0){
	          that.room_detail=data.result;
						//房间数量绑定
	          that.room_charge_ajax();
	        }else{
	          zmkm.toast(data.code,data.msg);
	        }
	      },
	      error: function(xhr, type, errorThrown) {
	        //异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
	      }
	    });
    }
  },
  methods:{
    go_back:function(){
			//返回；
//			var that=this;
//			mui.confirm('','确认放弃当前订单？',['取消','确定'],function(e){
//				if(e.index==1){
////					window.location.href='../room/room.html?roomId='+that.room_id;
//					console.log('++++++++++++++++++')
//					mui.back();
//				}else{}
//			},'div');
			console.log('++++++++++++++++++')
			
    },
    room_charge_show:function(){
    		//房费明细；
			var that = this;
    		$.ajax({
	      url:'' + devHost + '/ordap/rmfdap',
	      data:{
	        roomId:that.room_id,
	        startDate:that.start_date,
	        endDate:that.end_date,
	        roomQty:that.room_qty,
	      },
	      dataType: 'json',
	      type: 'get', 
	      timeout: 5000, 
	      headers: {
	        'Content-Type': 'application/json'
	      },
	      success: function(data) {
	        //服务器返回响应，根据响应结果，分析结果；
	        if(data.code==0){
	          that.order_items = data.result.ORDER_ITEMS;
	          that.room_fee_detail=true;
	        }else{
	          zmkm.toast(data.code,data.msg);
	        }
	      },
	      error: function(xhr, type, errorThrown) {
	        //异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
	      }
	    });
    },
    room_fee_close:function(){
    		//房费明细关闭
      this.room_fee_detail=false;
    },
    room_charge_ajax:function(){
    		//总房费ajax获取
    		var that = this;
    		$.ajax({
	      url:'' + devHost + '/ordap/cksap',
	      data:{
	        roomId:that.room_id,
	        startDate:that.start_date,
	        endDate:that.end_date,
	        roomQty:that.room_qty,
	      },
	      dataType: 'json',
	      type: 'get', 
	      timeout: 5000, 
	      headers: {
	        'Content-Type': 'application/json'
	      },
	      success: function(data) {
	        //服务器返回响应，根据响应结果，分析结果；
	        if(data.code==0){
	          that.total_fee=data.result.TOTAL_FEE;
	          that.room_qty_max=data.result.MIN_STOCK;
	          //房间数量绑定
	          qtyArr=[];
				    for(var i=1;i<=that.room_qty_max ;i++){
							qtyArr.push({
								value: i,
								text: '1套',
							})
						}
						picker.setData(qtyArr);
				    var roomQty = document.getElementById('room_qty');
				    roomQty.addEventListener('tap', function () {
				      picker.show(function (SelectedItem) {
				        that.room_qty = SelectedItem[0].value;
				        that.room_qty_text = SelectedItem[0].text;
				      })
				    });
				    //房间数量绑定end
	        }else{
	          that.room_qty_max=0;
	          that.total_fee=0;
	          that.room_qty_text='0套';
	          zmkm.toast(data.code,data.msg);
	        }
	      },
	      error: function(xhr, type, errorThrown) {
	        //异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
	      }
	    });
    },
    choose_occupant:function(){
    		//选择入住人
    		var that=this;
//  		window.location.href='select_occupant.html?id='+this.room_id;
    		mui.openWindow({
				url: 'select_occupant.html',
				id: 'select_occupant',
				styles: {
					top: '0', //新页面顶部位置
					bottom: '0', //新页面底部位置
				},
				extras: {
					id:that.room_id,
				},
				createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
				show: {
					autoShow: true, //页面loaded事件发生后自动显示，默认为true
				},
				waiting: {
					autoShow: true, //自动显示等待框，默认为true
					title: '正在加载...', //等待对话框上显示的提示内容
				}
			});
    },
    submit_order:function(){
    		//提交订单
    		var that = this;
    		$.ajax({
	      url:'' + devHost + '/ordap/svordap',
	      data:{
	        roomId:that.room_id,
	        startDate:that.start_date,
	        endDate:that.end_date,
	        roomQty:that.room_qty,
	        userId:that.person_id,
	        livePersons:that.occupant_id,
	      },
	      dataType: 'json',
	      type: 'get', 
	      timeout: 5000, 
	      headers: {
	        'Content-Type': 'application/json'
	      },
	      success: function(data) {
	        //服务器返回响应，根据响应结果，分析结果；
//	        console.log(data);
	        if(data.code==0){
	          localStorage.removeItem('occupantList');
	          localStorage.removeItem('room_id');
	          localStorage.removeItem('occupantId');
//	          window.location.href='order_status.html?order_id='+data.result.ORDER_ID;
	          mui.openWindow({
							url: 'order_status.html',
							id: 'order_status',
							styles: {
								top: '0', //新页面顶部位置
								bottom: '0', //新页面底部位置
							},
							extras: {
								order_id:data.result.ORDER_ID,
							},
							createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
							show: {
								autoShow: true, //页面loaded事件发生后自动显示，默认为true
							},
							waiting: {
								autoShow: true, //自动显示等待框，默认为true
								title: '正在加载...', //等待对话框上显示的提示内容
							}
						});
	        }else{
	          zmkm.toast(data.code,data.msg);
	        }
	      },
	      error: function(xhr, type, errorThrown) {
	        //异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
	      }
	    });
    }
  },
})
//日历
var roomId=localStorage.getItem('room_id');
;
(function() {
	var priceData = null;

	function fn(timeArry, indexArry) {
		var startDate = timeArry[0].replace(/\//g, '-');
		var endDate = timeArry[1].replace(/\//g, '-');
		vm.start_date = startDate;
		vm.end_date = endDate;
		vm.date_totle = zmkm.date_difference(startDate,endDate);
		vm.room_charge_ajax();
		var startDate1 = startDate.substring('5');
		var endDate1 = endDate.substring('5');
		localStorage.setItem('startDate', startDate);
		localStorage.setItem('endDate', endDate);
		var calendarWraper = document.querySelector('#calendar-wraper');
		calendarWraper.style.display = 'none';
		calendarBackdrop.style.display = 'none';
	}
	var priceAry = '';
	mui.ajax('' + devHost + '/rmic/grsc?roomId=' + roomId + '', {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		//aysnc:ture,
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			if(data.code == 0) {
				priceAry = data.result.priceAry;
			} else {
				zmkm.toast(data.code, data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			zmkm.toast('请求异常！！！');
		}
	});
	var calendarBackdrop = document.querySelector('#calendar-backdrop'),
		showCalendar = document.querySelector('#show-calendar');
	showCalendar.addEventListener('tap', function() {
		try {
			var calendarWraper = document.querySelector('#calendar-wraper');
			document.body.removeChild(calendarWraper);
		} catch(e) {
			var calendar = new Calendar({
				step: 5,
				leastDays: 1,
				callback: fn,
				priceData: priceAry
			}).init();
			var calendarWraper = document.querySelector('#calendar-wraper');
			calendarBackdrop.style.height = document.body.scrollHeight + 'px';
			calendarWraper.style.display = 'block';
			calendarBackdrop.style.display = 'block';

			calendarBackdrop.addEventListener('tap', function() {
				document.body.removeChild(calendarWraper);
				this.style.display = 'none';
			})
		}
	})
	showCalendar = null;
})();