var vm = new Vue({
	el:'.select_occupant_box',
	data:{
		user_id:'',
		occupant_list:[],
		occupant_id:[],
		repeat:0,
		room_id:'',
	},
	mounted:function(){
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','select_occupant');
		//页面重新加载
		window.addEventListener('_update',function(event){
		  //获得事件参数
		  plus.webview.getDisplayWebview().reload(true);
		});
		//登录拦截
  		if(zmkm.logon_interception()){
//			var url = location.search; 
//	    if (url.indexOf("?") != -1) {   
//	      var str = url.substr(1);
//	      str=str.split('=');
//	      this.room_id=str[1];
//			}
			var that = this;
			var webviewself = plus.webview.currentWebview();
			that.room_id = webviewself.id;
			that.user_id=zmkm.getStorage('id');
	  		$.ajax({
	      url:'' + devHost + '/ordap/clpap',
	      data:{
	        userId:that.user_id,
	      },
	      dataType: 'json',
	      type: 'get', 
	      timeout: 5000, 
	      headers: {
	        'Content-Type': 'application/json'
	      },
	      success: function(data) {
	        //服务器返回响应，根据响应结果，分析结果；
	        if(data.code==0){
	          that.occupant_list = data.result;
	        }else{
	          zmkm.toast(data.code,data.msg);
	        }
	      },
	      error: function(xhr, type, errorThrown) {
	        //异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
	      }
	    });
    }
	},
	methods:{
		occupant_check:function(id){
			var that=this;
			that.repeat=0;
			if(that.occupant_id.length==0){
				that.occupant_id.push(id);
			}else{
				for(var i=0;i<that.occupant_id.length;i++){
					if(that.occupant_id[i]==id){
						that.repeat++;
						that.occupant_id.splice(i,1);
					}
				}
				if(that.repeat==0){
					that.occupant_id.push(id);
				}
			}
		},
		submit_choose:function(){
			var that=this;
			var s='';
			for(var i=0;i<that.occupant_id.length-1;i++){
				s += that.occupant_id[i] + ',';
			}
			s += that.occupant_id[i];
			localStorage.setItem('occupantId', s);
			$.ajax({
	      url:'' + devHost + '/ordap/lpqap',
	      data:{
	        livePersonIds:s,
	      },
	      dataType: 'json',
	      type: 'get', 
	      timeout: 5000, 
	      headers: {
	        'Content-Type': 'application/json'
	      },
	      success: function(data) {
	        //服务器返回响应，根据响应结果，分析结果；
	        if(data.code==0){
	          localStorage.setItem('occupantList', JSON.stringify(data.result));
	          var place_order_write = plus.webview.getWebviewById('place_order_write');
	          mui.fire(place_order_write,'update_occupant',{});
	          zmkm.open_href('place_order_write','place_order_write.html',0);
	        }else{
	          zmkm.toast(data.code,data.msg);
	        }
	      },
	      error: function(xhr, type, errorThrown) {
	        //异常处理；
	        mui.toast(type, {
	          duration: 'short',
	          type: 'div'
	        });
	      }
	    });
		},
		open_add:function(){
			zmkm.open_href('add_occupant','add_occupant.html',0);
		},
	}
})
