var roomId = zmkm.getParam('roomId');
var vm = new Vue({
	el: '.evaluate_list_wrap',
	data: {
		evalScore: {},
		highEval: {},
		evalList: [],
	},
	mounted: function() {
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','evaluate');
		mui.ajax('' + devHost + '/rmic/eval?roomId=' + roomId + '', {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			//aysnc:ture,
			timeout: ajaxTimeout, 
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				if(data.code == 0) {
					console.log(data)
					vm.highEval = data.result.HIGH_EVAL_PERCENT;
					vm.evalScore = data.result.EVAL_SCORE;
					vm.evalList = data.result.EVAL_LIST;
				} else {
					zmkm.toast(data.code, data.msg);
				}
			},
			error: function(xhr, type, errorThrown) {
				zmkm.toast('请求异常！！！');
			}
		});
	},

});

