var host1 = '' + devHost + '/mors/ol';
var vm = new Vue({
  el:'.forget_box',
  data:{
    is_step:true,
    phone:'',
    phone_pre:'',
    msg_code:'',
    msg_code_pre:'',
    password:'',
    ensure_password:'',
    get_msg_btn:"获取验证码",
    btn:true,
    msg_count:0,
    page:'',
  },
  mounted:function(){
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','forget_password');
  },
  methods:{
    go_back:function(){
      window.history.go(-1);
    },
    get_msg_code:function(){
      if(vm.btn){
        var rule=/^[1][3,4,5,7,8][0-9]{9}$/;
        // 手机号正确
        if(rule.test(vm.phone)){
          // 同一手机号发送次数统计清零
          if(vm.phone_pre!=vm.phone){
            vm.msg_count=1;
          }else{
            vm.msg_count++;
          }
          // 时间戳
          if(this.msg_count==1){
            var now_day=0;
          }else{
            var now_day= new Date().getTime();
          }
          vm.phone_pre=vm.phone;
          mui.ajax('' + devHost + '/lg/pncdap?phone='+vm.phone+'&type=F&phoneCodeTime='+now_day,{
            dataType: 'json', 
            type: 'get',
            timeout: 5000,
            headers: {
              'Content-Type': 'application/json'
            },
            success: function(data) {
              if(data.code==0){
                // 短信发送成功
                vm.btn=false;
                vm.msg_code_pre=data.result.phoneCode;
                var num = 60;
                vm.get_msg_btn="剩余"+num+"秒";
                var timer = setInterval(function(){
                  num--;
                  vm.get_msg_btn="剩余"+num+"秒";
                  if(num<0){
                    vm.get_msg_btn="获取验证码";
                    vm.btn=true;
                    clearInterval(timer);
                  }
                },1000);
              }else if(data.code==605){
                mui.confirm('','账号未注册',['取消','前往注册'],function(e){
                  if(e.index==1){
                    zmkm.open_href('register','register.html',0);
                  }else{}
                },'div');
              }else{
                zmkm.toast(data.code ,data.msg);
              }
            },
            error: function(xhr, type, errorThrown) {
              //异常处理；
              mui.toast('请求超时', {
                duration: 'short',
                type: 'div'
              });
            }
          });
        }else{
          mui.toast('请输入正确手机号', {
            duration: 'short',
            type: 'div'
          });
        }
      }else{}
    },
    reset_step1:function(){
      mui.ajax('' + devHost + '/lg/updatepssap?phone='+vm.phone+'&phonePre='+vm.phone_pre+'&phoneCode='+vm.msg_code+'&phoneCodePre='+vm.msg_code_pre, {
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
          if(data.code==0){
            vm.is_step=false;
          }
          else if(data.code==605){
            mui.confirm('','账号未注册',['取消','前往注册'],function(e){
              if(e.index==1){
                zmkm.open_href('register','register.html',0);
              }else{}
            },'div');
          }else{
            zmkm.toast(data.code,data.msg);
          }
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
				}
			});
    },
    reset_step2:function(){
    		var that=this;
      mui.ajax('' + devHost + '/lg/updatrestartap?phone='+vm.phone+'&phonePre='+vm.phone_pre+'&phoneCode='+vm.msg_code+'&phoneCodePre='+vm.msg_code_pre+'&password='+vm.password+'&repassword='+vm.ensure_password, {
				dataType: 'json',
				type: 'get',
				timeout: 10000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
          if(data.code==0){
          		var token=zmkm.getStorage("token");
          		if(localStorage.getItem('pre_page')=='modify_information'){
							$.ajax({
								url:'' + devHost + '/lg/dtkap',
								data:{
									token:token,
								},
						    dataType: 'json', //服务器返回json格式数据
						    type: 'get', //HTTP请求类型
						    //aysnc:ture,
						    timeout: 10000, //超时时间设置为10秒；
						    headers: {
						      'Content-Type': 'application/json'
						    },
						    success: function(data) {
						      //服务器返回响应，根据响应结果，分析是否登录成功；
						      if(data.code==0){
						      		zmkm.delStorage('token');
							      	zmkm.delStorage('id');
										mui.alert('','密码修改成功!','前往登录',function(){
	                    zmkm.open_href('log_in','log_in.html','0');
				            },'div');
						      }else{
						      		zmkm.toast(data.code,data.msg);
						      }
						    },
						    error: function(xhr, type, errorThrown) {
						      //异常处理；
						      mui.toast(type, {
						        duration: 'short',
						        type: 'div'
						      });
						    }
						  });
          		}else{
          			mui.alert('','密码修改成功!','前往登录',function(){
                zmkm.open_href('log_in','log_in.html','0');
	            },'div');
          		}
          }else{
            zmkm.toast(data.code,data.msg);
          }
				},
				error: function(xhr, type, errorThrown) {
					mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
				}
			});
    },
  },
})