var vm = new Vue({
  el:'.evaluation_box',
  data:{
	  tidy_s:[],
	  tidy:'',
	  tidy_score:0,
	  describe_s:[],
	  describe:'',
	  describe_score:0,
	  traffic_s:[],
	  traffic:'',
	  traffic_score:0,
	  safe_s:[],
	  safe:'',
	  safe_score:0,
	  cost_efficient_s:[],
	  cost_efficient:'',
	  cost_efficient_score:0,
	  evaluation:'',
	  order_id:'',
	  room_id:'',
	  room_detial:[],
	  //图片数组
	  oImgUrl: ''
  },
  mounted:function(){
  		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','order_evaluation');
  		var url = location.search; 
    if (url.indexOf("?") != -1) {   
      var str = url.substr(1);
      str=str.split('&');
      this.order_id=str[0].split('=')[1];
      this.room_id=str[1].split('=')[1];
		}
    var that=this;
		$.ajax({
			url:'' + devHost + '/moic/oe',
			data:{
				orderId:that.order_id,
			}, 
	    dataType: 'json', //服务器返回json格式数据
	    type: 'get', //HTTP请求类型
	    //aysnc:true,
	    timeout: 10000, //超时时间设置为10秒；
	    headers: {
	      'Content-Type': 'application/json'
	    },
	    success: function(data) {
	      //服务器返回响应，根据响应结果，分析是否登录成功；
	      console.log(data.result)
	      vm.room_detial=data.result;
	    },
	    error: function(xhr, type, errorThrown) {
	      //异常处理；
	      mui.toast(type, {
          duration: 'short',
          type: 'div'
        });
	    }
	  })
  },
  methods:{
  	//发布提交
    release:function(){
	    //console.log(localStorage.getItem("options"))
	    var oImgDiv = document.getElementsByClassName('img-div');
	    //console.log(oImgDiv.length)
		  	if(oImgDiv.length != 0){
		  		if(localStorage.ImgUrl){
						this.oImgUrl = localStorage.ImgUrl;
		  		}
			  	//console.log(this.oImgUrl)
					//ES6
					// var objArr = Array.from(obj)
		  	}
		  	//console.log(localStorage.ImgUrl)
    		var that=this;
			var t_id=zmkm.getStorage("id");
			//console.log(that.oImgUrl, t_id)
      $.ajax({
      	url:'' + devHost + '/moic/es',
				data:{
					orderId:that.order_id,
					roomId:that.room_id,
					neatScore:that.tidy_score,
					descriScore:that.describe_score,
					safeScore:that.safe_score,
					priceScore:that.cost_efficient_score,
					trafficScore:that.traffic_score,
					evaluationText:that.evaluation,
					//图片地址集合
					uploadArys: that.oImgUrl,
					tenantId:t_id,
				},
		    dataType: 'json', //服务器返回json格式数据
		    type: 'get', //HTTP请求类型
		    //aysnc:ture,
		    timeout: 10000, //超时时间设置为10秒；
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data) {
		      //服务器返回响应，根据响应结果，分析是否登录成功；
		      if(data.code==0){
		      	mui.alert('','评价成功','知道了',function(){
//            window.location.href='see_evaluation.html?order_id='+vm.order_id;
              mui.openWindow({
								url: 'see_evaluation.html',
								id: 'see_evaluation',
								styles: {
									top: '0', //新页面顶部位置
									bottom: '0', //新页面底部位置
								},
								extras: {
									order_id:vm.order_id,
								},
								createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
								show: {
									autoShow: true, //页面loaded事件发生后自动显示，默认为true
								},
								waiting: {
									autoShow: true, //自动显示等待框，默认为true
									title: '正在加载...', //等待对话框上显示的提示内容
								}
							});
            },'div');
		      }else{
		      	zmkm.toast(data.code ,data.msg);
		      }
		    },
		    error: function(xhr, type, errorThrown) {
		      //异常处理；
		      mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
		    }
		  })
    },
    _tidy:function(i){
    	this.tidy_score=i+1;
      if(i==4){
        vm.tidy_s=[];
        vm.tidy="非常满意";
        vm.tidy_s=[0,1,2,3,4];
      }else if(i==3){
        vm.tidy_s=[];
        vm.tidy="满意";
        vm.tidy_s=[0,1,2,3];
      }else if(i==2){
        vm.tidy_s=[];
        vm.tidy="一般";
        vm.tidy_s=[0,1,2];
      }else if(i==1){
        vm.tidy_s=[];
        vm.tidy="不满意";
        vm.tidy_s=[0,1];
      }else{
        vm.tidy_s=[];
        vm.tidy="很不满意";
        vm.tidy_s=[0];
      }
    },
    _describe:function(i){
    	this.describe_score=i+1;
      if(i==4){
        vm.describe_s=[];
        vm.describe="非常满意";
        vm.describe_s=[0,1,2,3,4];
      }else if(i==3){
        vm.describe_s=[];
        vm.describe="满意";
        vm.describe_s=[0,1,2,3];
      }else if(i==2){
        vm.describe_s=[];
        vm.describe="一般";
        vm.describe_s=[0,1,2];
      }else if(i==1){
        vm.describe_s=[];
        vm.describe="不满意";
        vm.describe_s=[0,1];
      }else{
        vm.describe_s=[];
        vm.describe="很不满意";
        vm.describe_s=[0];
      }
    },
    _traffic:function(i){
    	this.traffic_score=i+1;
      if(i==4){
        vm.traffic_s=[];
        vm.traffic="非常满意";
        vm.traffic_s=[0,1,2,3,4];
      }else if(i==3){
        vm.traffic_s=[];
        vm.traffic="满意";
        vm.traffic_s=[0,1,2,3];
      }else if(i==2){
        vm.traffic_s=[];
        vm.traffic="一般";
        vm.traffic_s=[0,1,2];
      }else if(i==1){
        vm.traffic_s=[];
        vm.traffic="不满意";
        vm.traffic_s=[0,1];
      }else{
        vm.traffic_s=[];
        vm.traffic="很不满意";
        vm.traffic_s=[0];
      }
    },
    _safe:function(i){
    	this.safe_score=i+1;
      if(i==4){
        vm.safe_s=[];
        vm.safe="非常满意";
        vm.safe_s=[0,1,2,3,4];
      }else if(i==3){
        vm.safe_s=[];
        vm.safe="满意";
        vm.safe_s=[0,1,2,3];
      }else if(i==2){
        vm.safe_s=[];
        vm.safe="一般";
        vm.safe_s=[0,1,2];
      }else if(i==1){
        vm.safe_s=[];
        vm.safe="不满意";
        vm.safe_s=[0,1];
      }else{
        vm.safe_s=[];
        vm.safe="很不满意";
        vm.safe_s=[0];
      }
    },
    _cost_efficient:function(i){
    	this.cost_efficient_score=i+1;
      if(i==4){
        vm.cost_efficient_s=[];
        vm.cost_efficient="非常满意";
        vm.cost_efficient_s=[0,1,2,3,4];
      }else if(i==3){
        vm.cost_efficient_s=[];
        vm.cost_efficient="满意";
        vm.cost_efficient_s=[0,1,2,3];
      }else if(i==2){
        vm.cost_efficient_s=[];
        vm.cost_efficient="一般";
        vm.cost_efficient_s=[0,1,2];
      }else if(i==1){
        vm.cost_efficient_s=[];
        vm.cost_efficient="不满意";
        vm.cost_efficient_s=[0,1];
      }else{
        vm.cost_efficient_s=[];
        vm.cost_efficient="很不满意";
        vm.cost_efficient_s=[0];
      }
    },
    go_back:function(){
    		mui.confirm('','确认退出当前评价？',['取消','确定'],function(e){
	      if(e.index==1){
	        mui.back();
	      }else{}
	    },'div');
    }
  }
})