var vm = new Vue({
  el:'.change_phone_box',
  data:{
    phone:'',
    phone_pre:'',
    msg_code:'',
    msg_code_pre:'',
    get_msg_btn:'获取验证码',
    btn:true,
    msg_count:0,
    person_id:'',
  },
  mounted:function(){
  		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','change_phone');
		//登陆拦截
  		if(zmkm.logon_interception()){
			var that=this;
		  	that.person_id=zmkm.landing_judgment();
  		}
  },
  methods:{
  		go_back:function(){
			mui.back();
  		},
    get_msg_code:function(){
      if(vm.btn){
        var rule=/^[1][3,4,5,7,8][0-9]{9}$/;
        // 手机号正确
        var that=this;
        if(rule.test(that.phone)){
          // 同一手机号发送次数统计清零
          if(that.phone_pre!=that.phone){
            that.msg_count=1;
          }else{
            that.msg_count++;
          }
          // 时间戳
          if(this.msg_count==1){
            var now_day=0;
          }else{
            var now_day= new Date().getTime();
          }
          that.phone_pre=that.phone;
          $.ajax({
          		url:devHost + '/lg/pncdap',
          		data:{
          			phone:that.phone,
          			type:'R',
          			phoneCodeTime:now_day
          		},
            dataType: 'json', 
            type: 'get',
            timeout: 5000,
            headers: {
              'Content-Type': 'application/json'
            },
            success: function(data) {
            	console.log(data);
              if(data.code==0){
                // 短信发送成功
                that.btn=false;
                that.msg_code_pre=data.result.phoneCode;
                var num = 60;
                that.get_msg_btn="剩余"+num+"秒";
                var timer = setInterval(function(){
                  num--;
                  that.get_msg_btn="剩余"+num+"秒";
                  if(num<0){
                    that.get_msg_btn="获取验证码";
                    that.btn=true;
                    clearInterval(timer);
                  }
                },1000);
              }else{
                zmkm.toast(data.code ,data.msg);
              }
            },
            error: function(xhr, type, errorThrown) {
              //异常处理；
              mui.toast('请求超时', {
                duration: 'short',
                type: 'div'
              });
            }
          });
        }else{
          mui.toast('请输入正确手机号', {
            duration: 'short',
            type: 'div'
          });
        }
      }else{}
    },
    change_save:function(){
    		var that=this;
    		$.ajax({
        url:'' + devHost + '/thic/sphone',
        data:{
          tenantId:that.person_id,
          phone:that.phone,
          phonePre:that.phone_pre,
          phoneCode:that.msg_code,
          phoneCodePre:that.msg_code_pre
        },
        dataType: 'json',
        type: 'get', 
        timeout: 5000, 
        headers: {
          'Content-Type': 'application/json'
        },
        success: function(data) {
          //服务器返回响应，根据响应结果，分析结果；
          console.log(data);
          if(data.code==0){
            mui.alert('','手机号修改成功！','确定',function(){
            		zmkm.open_href('modify_information','modify_information.html',0);
            },'div');
          }else{
              zmkm.toast(data.code,data.msg);
          }
        },
        error: function(xhr, type, errorThrown) {
          //异常处理；
          mui.toast(type, {
            duration: 'short',
            type: 'div'
          });
        }
      })
    }
  }
})