var vm = new Vue({
  el:'.modi_infor_box',
  data(){
  	return { 
  		sex:0,
	    person_id:'',
	    per_deatil:[],
	    empty_count:0,
  	}
  },
  mounted:function(){
  		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','modify_information');
		//登录拦截
	  	if(zmkm.logon_interception()){
	  		// 性别
		  var picker1 = new mui.PopPicker();
	    picker1.setData([{
	      value: "1",
	      text: "男"
	    }, {
	      value: "0",
	      text: "女"
	    }])
	    var self = this;
	    var personEle = document.getElementById('per_sex');
	    personEle.addEventListener('tap', function () {
	      picker1.show(function (SelectedItem) {
	        vm.sex = SelectedItem[0].value;
	        self.per_deatil.SEX = SelectedItem[0].value;
	      })
	    });
	    
	  	var that=this;
	  	that.person_id = zmkm.getStorage("id");
	  	//console.log(zmkm.getStorage("id"))
	  	
	  	//房客主页/资料修改返回信息
			$.ajax({
				url:'' + devHost + '/thic/td',
				data:{
					tenantId:that.person_id,
				},
		    dataType: 'json', //服务器返回json格式数据
		    type: 'get', //HTTP请求类型
		    //aysnc:ture,
		    timeout: 10000, //超时时间设置为10秒；
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function (data) {
		      //服务器返回响应，根据响应结果，分析是否登录成功；
		      if(data.code == 0){
			      	that.per_deatil = data.result;
			      	//省份
						$.ajax({
							url:'' + devHost + '/thic/sprovice',
						  dataType: 'json',
						  type: 'get',
						  timeout: 3000, 
						  headers: {
						    'Content-Type': 'application/json'
						  },
						  success: function(res) {
							  	var oSel_province = document.getElementById('sel_province');
							  	for(var a = 0; a < res.result.length; a++){
							  		if(data.result.PROVINCE_ID == res.result[a].id){
							  			var oPtion = document.createElement("option");
								    	oPtion.innerHTML = res.result[a].name;
								    	oPtion.setAttribute('value', res.result[a].id);
								    	oPtion.setAttribute('selected', 'selected');
								    	oSel_province.appendChild(oPtion)
							  		} else {
							  			var oPtion = document.createElement("option");
								    	oPtion.innerHTML = res.result[a].name;
								    	oPtion.setAttribute('value', res.result[a].id);
								    	oSel_province.appendChild(oPtion)
							  		}
							  	}
						  }, 
						  error: function(xhr, type, errorThrown) {
						  	//异常处理；
					      mui.toast(type, {
					        duration: 'short',
					        type: 'div'
					      });
						  }
						})
		      	//城市
						$.ajax({
							url: '' + devHost + '/thic/scity',
					    dataType: 'json',
					    type: 'get',
					    timeout: 3000,
					    data: {
					    	'provinceId': data.result.PROVINCE_ID
					    },
					    success: function(res){
						    	//console.log(res.result)
						    	var oSel_city = document.getElementById('sel_city');
								oSel_city.innerHTML = "";
								for(var i = 0; i < res.result.length; i++){
									if(data.result.CITY_ID == res.result[i].id){
										var oPtion1 = document.createElement("option");
										oPtion1.innerHTML = res.result[i].name;
						    			oPtion1.setAttribute('value', res.result[i].id)
						    			oPtion1.setAttribute('selected', 'selected')
						    			oSel_city.appendChild(oPtion1)
									}else {
										var oPtion1 = document.createElement("option");
										oPtion1.innerHTML = res.result[i].name;
						    			oPtion1.setAttribute('value', res.result[i].id)
						    			oSel_city.appendChild(oPtion1)
									}
								}
					    },
					    error: function(xhr, type, errorThrown) {
					      //异常处理；
					      mui.toast(type, {
					        duration: 'short',
					        type: 'div'
					      });
					    }
						})
						//地区
						$.ajax({
							url:'' + devHost + '/thic/sdistrict',
					    dataType: 'json',
					    type: 'get',
					    timeout: 3000,
					    data: {
					    	'cityId': data.result.CITY_ID
					    },
					    success: function(res){
						    	//console.log(res.result)
						    	var oSel_area = document.getElementById('sel_area');
								oSel_area.innerHTML = "";
								for(var a = 0; a < res.result.length; a++){
									if(data.result.DISTRICT_ID == res.result[a].id ){
										var oPtion2 = document.createElement("option");
						    			oPtion2.innerHTML = res.result[a].name;
						    			oPtion2.setAttribute('value', res.result[a].id);
						    			oPtion2.setAttribute('selected', 'selected');
						    			oSel_area.appendChild(oPtion2);
									}else {
										var oPtion2 = document.createElement("option");
						    			oPtion2.innerHTML = res.result[a].name;
						    			oPtion2.setAttribute('value', res.result[a].id);
						    			oSel_area.appendChild(oPtion2);
									}
								}
					    },
					    error: function(xhr, type, errorThrown) {
					      //异常处理；
					      mui.toast(type, {
				        duration: 'short',
				        type: 'div'
				      });
					    }
						})
		      	that.sex = data.result.SEX;
		      }else{
		      	zmkm.toast(data.code,data.msg);
		      }
		    },
		    error: function(xhr, type, errorThrown) {
		      //异常处理；
		      mui.toast(type, {
		        duration: 'short',
		        type: 'div'
		      });
		    }
		  })
			//执行省份城市地区操作
			this.getCityData();
	  	}
  },
  methods:{
    go_back:function(){
    		mui.back();
    },
    change_phone_open:function(){
    		mui.confirm('','修改手机号？',['取消','确定'],function(e){
        if(e.index==1){
    				zmkm.open_href('change_phone','change_phone.html',0);
        }else{}
      },'div');
    },
    forget_password_open:function(){
    		mui.confirm('','修改密码？',['取消','确定'],function(e){
        if(e.index==1){
    				zmkm.open_href('forget_password','../logIn/forget_password.html',0);
        }else{}
      },'div');
    },
    save_infor:function(){
	    	this.getCityData();
	    	var that = this;
	    	that.empty_count=0;
	    	that._empty(that.per_deatil.IMG_ARDESS,'请上传头像');
	    	that._empty(that.per_deatil.NIKE_NAME,'请填写用户名');
	    	that._empty(that.per_deatil.REAL_NAME,'请填写真实姓名');
	    	that._empty(that.per_deatil.SEX,'请选择性别');
	    	that._empty(that.per_deatil.PROVINCE_ID,'请选择城市');
	    	that._empty(that.per_deatil.CITY_ID,'请选择城市');
	    	that._empty(that.per_deatil.DISTRICT_ID,'请选择城市');
	    	that._empty(that.per_deatil.DETAIL_ADDRESS,'请填写详细地址');
	    	
	    	if(localStorage.imgUrl){
	    		that.per_deatil.IMG_ARDESS = localStorage.imgUrl;
	    	}
	    	if(that.empty_count==0){
	    		$.ajax({
		    		url:'' + devHost + '/thic/dus',
						data:{
							user_pic:that.per_deatil.IMG_ARDESS,
							userName:that.per_deatil.NIKE_NAME,
							realName:that.per_deatil.REAL_NAME,
							sex:that.per_deatil.SEX,
							idCard:that.per_deatil.ID_CARD,
							input_province:that.per_deatil.PROVINCE_ID,
							input_city:that.per_deatil.CITY_ID,
							input_area:that.per_deatil.DISTRICT_ID,
							detailAddress:that.per_deatil.DETAIL_ADDRESS,
							tenantId:that.person_id,
						},
				    dataType: 'json',
				    type: 'get',
				    timeout: 3000, 
				    headers: {
				      'Content-Type': 'application/json'
				    },
				    success: function(data) {
				      //服务器返回响应，根据响应结果，分析是否登录成功；
				      console.log(data)
				      if(data.code==0){
				      	mui.alert('','修改成功','知道了',function(){},'div');
				      }else{
				      	zmkm.toast(data.code,data.msg);
				      }
				    },
				    error: function(xhr, type, errorThrown) {
				      //异常处理；
				      mui.toast(type, {
		            duration: 'short',
		            type: 'div'
		          });
				    }
		    	});
	    	}
    },
    _empty:function(str,e){
	    	if(this.empty_count<1){
	    		if(str==''){
		    		this.empty_count++;
		    		mui.toast(e, {
			        duration: 'short',
			        type: 'div'
			      });
		    	}
	    	}
    },
		//三级联动函数
    getCityData(){
    	//city.data-3.js实现
    	/*var cityId = document.getElementById('modify_cityId');	
    	var picker = new mui.PopPicker({
		    layer: 3
			});
			var _this = this;
			picker.setData(cityData3)
			cityId.addEventListener('tap', function(e){
				picker.show(function(items) {
					console.log(items[0].text)
					console.log((items[0] || {}).text + "/" + (items[1] || {}).text + "/" + (items[2] || {}).text)
					console.log((items[0] || {}).value + "/" + (items[1] || {}).value + "/" + (items[2] || {}).value)
					_this.DETAIL_cityADDRESS = (items[0] || {}).text + "/" + (items[1] || {}).text + "/" + (items[2] || {}).text;
				})
			})*/
				
			//省份	
			var _this = this;
			$.ajax({
				url:'' + devHost + '/thic/sprovice',
		    dataType: 'json',
		    type: 'get',
		    timeout: 3000, 
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data){
		    	//console.log(data.result)
		    	var oSel_province = document.getElementById('sel_province');
 						
			    	for(var i = 0; i < data.result.length; i++){
			    		var oPtion = document.createElement("option");
			    		oPtion.innerHTML = data.result[i].name;
			    		oPtion.setAttribute('value', data.result[i].id);
			    		oPtion.setAttribute('text', data.result[i].name);
			    		oSel_province.appendChild(oPtion)
			    		oSel_province.onchange = function(){
	          	_this.per_deatil.PROVINCE_ID = oSel_province.value;
	          	localStorage.province = oSel_province.value;
	          	
	          	//城市
	          	$.ajax({
	          		url: '' + devHost + '/thic/scity',
						    dataType: 'json',
						    type: 'get',
						    timeout: 3000, 
						    data: {
			      			"provinceId": oSel_province.value
			      		},
						    headers: {
						      'Content-Type': 'application/json'
						    },
						    success: function(res) {
						    	//console.log(res.result)
						    	var oSel_city = document.getElementById('sel_city');
						    	oSel_city.innerHTML = "";
						    	for(var a = 0; a < res.result.length; a++){
						    		var oPtion1 = document.createElement("option");
						    		oPtion1.innerHTML = res.result[a].name;
						    		oPtion1.setAttribute('value', res.result[a].id)
						    		oSel_city.appendChild(oPtion1)
						    		oSel_city.onchange = function(){
						    			_this.per_deatil.CITY_ID = oSel_city.value;
						    			localStorage.city = oSel_city.value;
						    			//地区
						    			$.ajax({
						    				url:'' + devHost + '/thic/sdistrict',
						    				dataType: 'json',
										    type: 'get',
										    timeout: 3000, 
										    data: {
							      			"cityId": oSel_city.value
							      		},
							      		headers: {
										      'Content-Type': 'application/json'
										    },
							      		success: function(Res){
							      			//console.log(Res.result)
							      			var oSel_area = document.getElementById('sel_area');
							      			oSel_area.innerHTML = "";
							      			for(var j = 0; j < Res.result.length; j ++){
							      				var oPtion2 = document.createElement("option");
										    		oPtion2.innerHTML = Res.result[j].name;
										    		oPtion2.setAttribute('value', Res.result[j].id);
										    		oSel_area.appendChild(oPtion2);
										    		oSel_area.onchange = function(){
										    			_this.per_deatil.DISTRICT_ID = oSel_area.value;
										    			localStorage.area = oSel_area.value;
										    		}
							      			}
							      		},
							      		error: function(xhr, type, errorThrown) {    	
										      mui.toast(type, {
								            duration: 'short',
								            type: 'div'
								          });
										    }  
						    			});
						    		}
						    	}
						    },
						    error: function(xhr, type, errorThrown) {    	
						      mui.toast(type, {
				            duration: 'short',
				            type: 'div'
				          });
						    } 
	          	})
	          };
		    	}
		    },
		    error: function(xhr, type, errorThrown) {    	
	      mui.toast(type, {
        duration: 'short',
        type: 'div' 
      });
		  }
		});
   }, 
  }
  
})

