var vm = new Vue({
  el:'.personal_box',
  data:{
		per_deatil:[],
		person_id:'',
		personal_show:false,
  },
  beforeMount:function(){
  	this.person_id = zmkm.getStorage('id');
  	if(this.person_id)
  	{
  		this.personal_show = true;
  	}
  },
  mounted:function(){
		var that=this;
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','personal');
		//返回按钮
		that._back();
  		that.person_id=zmkm.getStorage("id");
  		that.personal_show = true;
		if(that.person_id){
			//			that.personal_show=true;
			$.ajax({
				url:'' + devHost + '/thic/td',
				data:{
					tenantId:that.person_id,
				},
		    dataType: 'json', //服务器返回json格式数据
		    type: 'get', //HTTP请求类型
		    //aysnc:ture,
		    timeout: 10000, //超时时间设置为10秒；
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data) {
		      //服务器返回响应，根据响应结果，分析是否登录成功；
		      if(data.code==0){
//		      	console.log(data.result);
		      	that.per_deatil=data.result;
		      }else{
		      	zmkm.toast(data.code,data.msg);
		      }
		    },
		    error: function(xhr, type, errorThrown) {
		      //异常处理；
		      mui.toast(type, {
		        duration: 'short',
		        type: 'div'
		      });
		    }
		  });
		}else{
			that.personal_show=false;
		}
  },
  methods:{
//		order_open:function(){
//			var h=plus.webview.getWebviewById('order/order_list.html');
//			plus.webview.show(h);
//		},
		infor_open:function(){
			zmkm.open_href('modify_information','modify_information.html',0);
		},
		person_open:function(){
			zmkm.open_href('occupant_manage','../place_order/occupant_manage.html',0);
		},
		log_in_open:function(){
//				plus.webview.currentWebview().close();
				zmkm.open_href('log_in','../logIn/log_in.html',0);
//				plus.webview.currentWebview().close();
		},
		log_out:function(){
			var that=this;
	  		var token=zmkm.getStorage("token");
			$.ajax({
				url:'' + devHost + '/lg/dtkap',
				data:{
					token:token,
				},
		    dataType: 'json', //服务器返回json格式数据
		    type: 'get', //HTTP请求类型
		    //aysnc:ture,
		    timeout: 10000, //超时时间设置为10秒；
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data) {
		      //服务器返回响应，根据响应结果，分析是否登录成功；
		      if(data.code==0){
		      	zmkm.delStorage('token');
		      	zmkm.delStorage('id');
		      	window.location.reload();
		      }else{
		      	zmkm.toast(data.code,data.msg);
		      }
		    },
		    error: function(xhr, type, errorThrown) {
		      //异常处理；
		      mui.toast(type, {
		        duration: 'short',
		        type: 'div'
		      });
		    }
		  });
		},
		_back:function(){
			mui.init({
				keyEventBind: {
					backbutton: false  //关闭back按键监听
				}
			});
		},
  }
})
