var vm = new Vue({
  el:'.add_occupant_box',
  data:{
    real_name:'',
    sex:0,
    phone:'',
    id_card:'',
    person_id:'',
  },
  mounted:function(){
  		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','add_occupant');
		console.log(localStorage.getItem('pre_page')+'++++++++'+localStorage.getItem('now_page'))
		//登录拦截
	  	if(zmkm.logon_interception()){
		  	var that=this;
		  	that.person_id=zmkm.getStorage("id");
	  }
  },
  methods:{
		add_occupant:function(){
      var that=this;
      var rule_phone=/^[1][3,4,5,7,8][0-9]{9}$/;
      var rule_id=/(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}$)/;
      if(that.real_name==''){
      		mui.toast('请填写真实姓名', {
          duration: 'short',
          type: 'div'
        });
      }else if(that.phone==''){
				mui.toast('请填写手机号', {
          duration: 'short',
          type: 'div'
        });
			}else if(that.id_card==''){
				mui.toast('请填写身份证号', {
          duration: 'short',
          type: 'div'
        });
			}else{
				if(rule_phone.test(that.phone)){
					if(rule_id.test(that.id_card)){
						$.ajax({
			        url:'' + devHost + '/thic/savep',
			        data:{
			          name:that.real_name,
			          sex:that.sex,
			          phone:that.phone,
			          id_card:that.id_card,
			          tenantId:that.person_id
			        },
			        dataType: 'json',
			        type: 'get', 
			        timeout: 5000, 
			        headers: {
			          'Content-Type': 'application/json'
			        },
			        success: function(data) {
			          //服务器返回响应，根据响应结果，分析结果；
			          if(data.code==0){
		              mui.alert('','入住人添加成功！','确定',function(){
		              		var page = localStorage.getItem('pre_page');
		              		if(page=='occupant_manage'){
		              			var occupant_manage = plus.webview.getWebviewById('occupant_manage');
		              			mui.fire(occupant_manage,'_update',{});
					          		zmkm.open_href('occupant_manage','occupant_manage.html',0);
		              		}else if(page=='select_occupant'){
		              			var select_occupant = plus.webview.getWebviewById('select_occupant');
		              			mui.fire(select_occupant,'_update',{});
					          		zmkm.open_href('select_occupant','select_occupant.html',0);
		              		}else{
		              			var occupant_manage = plus.webview.getWebviewById('occupant_manage');
		              			mui.fire(occupant_manage,'_update',{});
					          		zmkm.open_href('occupant_manage','occupant_manage.html',0);
		              		}
			            },'div');
			          }else{
			              zmkm.toast(data.code,data.msg);
			          }
			        },
			        error: function(xhr, type, errorThrown) {
			          //异常处理；
			          mui.toast(type, {
			            duration: 'short',
			            type: 'div'
			          });
			        }
			      })
					}else{
						mui.toast('请填写正确身份证号', {
		          duration: 'short',
		          type: 'div'
		        });
					}
				}else{
					mui.toast('请填写正确手机号', {
	          duration: 'short',
	          type: 'div'
	        });
				}
			}
		},
  }
})