var vn = new Vue({
  el:'.occupant_manage_box',
  data:{
    person_id:'',
    per_deatil:[],
  },
  mounted:function(){
  		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','occupant_manage');
		//页面重新加载
		console.log(plus.webview.currentWebview().id)
		window.addEventListener('_update',function(event){
		  //获得事件参数
		  plus.webview.currentWebview().reload(true);
		});
		//登录拦截
  		if(zmkm.logon_interception()){
		  	var that=this;
		  	that.person_id=zmkm.getStorage("id");
			$.ajax({
				url:'' + devHost + '/thic/lpm',
				data:{
					tenantId:that.person_id,
				},
		    dataType: 'json', //服务器返回json格式数据
		    type: 'get', //HTTP请求类型
		    //aysnc:ture,
		    timeout: 5000, //超时时间设置为10秒；
		    headers: {
		      'Content-Type': 'application/json'
		    },
		    success: function(data) {
	        //服务器返回响应，根据响应结果，分析是否登录成功；
		      if(data.code==0){
		      		that.per_deatil=data.result;
		      }else{
		      		zmkm.toast(data.code,data.msg);
		      }
		    },
		    error: function(xhr, type, errorThrown) {
		      //异常处理；
		      mui.toast(type, {
		        duration: 'short',
		        type: 'div'
		      });
		    }
		  })
		}
  },
  methods:{
		delete_occupant:function(id){
			mui.confirm('','确认删除此入住人？',['取消','确定'],function(e){
        if(e.index==1){
          $.ajax({
						url:'' + devHost + '/thic/dp',
						data:{
							personId:id,
						},
				    dataType: 'json',
				    type: 'get', 
				    timeout: 5000, 
				    headers: {
				      'Content-Type': 'application/json'
				    },
				    success: function(data) {
			        //服务器返回响应，根据响应结果，分析结果；
				      if(data.code==0){
				      		mui.alert('','入住人删除成功！','知道了',function(){
		              window.location.reload();
		            },'div');
				      }else{
				      		zmkm.toast(data.code,data.msg);
				      }
				    },
				    error: function(xhr, type, errorThrown) {
				      //异常处理；
				      mui.toast(type, {
				        duration: 'short',
				        type: 'div'
				      });
				    }
				  })
        }
      },'div');
		},
		open_add:function(){
			zmkm.open_href('add_occupant','add_occupant.html',0);
		},
  }
})