var vm = new Vue({
	el: '.order_status_box',
	data: {
		room_qty_text: '1套',
		room_fee_detail: false,
		order_id: '',
		person_id: '',
		order_details: [],
		occupant: [],
		status: '',
		day: 0,
		order_items: [],
		total_fee: '',
	},
	mounted: function() {
		//存储前一页和当前页
		var pre = localStorage.getItem('now_page');
		localStorage.setItem('pre_page', pre);
		localStorage.setItem('now_page', 'order_status');
		//登录拦截
		if(zmkm.logon_interception()) {
			var that = this;
			//	    var url = location.search; 
			//	    if (url.indexOf("?") != -1) {   
			//	      var str = url.substr(1);
			//	      str=str.split('=');
			//	      this.order_id=str[1];
			//			}
			var webviewself = plus.webview.currentWebview();
			that.order_id = webviewself.order_id;
			that.person_id = zmkm.getStorage('id');
			$.ajax({
				url: '' + devHost + '/ordap/cosap',
				data: {
					orderId: that.order_id,
					userId: that.person_id,
				},
				dataType: 'json',
				type: 'get',
				timeout: 5000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					//服务器返回响应，根据响应结果，分析结果；
					if(data.code == 0) {
						that.status = data.result.FLAG;
						that.order_details = data.result.ORDER_DETAILS;
						that.occupant = data.result.TENANT;
						that.day = data.result.DAYS;
						that.room_qty_text = that.order_details.ROOM_QTY + '套';
					} else {
						zmkm.toast(data.code, data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast(type, {
						duration: 'short',
						type: 'div'
					});
				}
			});
		}
	},
	methods: {
		go_back: function() {
			plus.webview.getLaunchWebview().show();
		},
		room_charge_show: function() {
			var that = this;
			//房费明细；
			var that = this;
			$.ajax({
				url: '' + devHost + '/ordap/rmfdap',
				data: {
					roomId: that.order_details.ROOM_ID,
					startDate: that.order_details.START_DATE,
					endDate: that.order_details.END_DATE,
					roomQty: that.order_details.ROOM_QTY,
				},
				dataType: 'json',
				type: 'get',
				timeout: 5000,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					//服务器返回响应，根据响应结果，分析结果；
					if(data.code == 0) {
						that.order_items = data.result.ORDER_ITEMS;
						that.total_fee = data.result.TOTAL_FEE
						that.room_fee_detail = true;
					} else {
						zmkm.toast(data.code, data.msg);
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast(type, {
						duration: 'short',
						type: 'div'
					});
				}
			});
		},
		room_fee_close: function() {
			//房费明细关闭
			this.room_fee_detail = false;
		},

	},
	updated:function(){
		zmkm.payFn(vm.order_id);
	}
})
